- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
planarity.h File Reference
Planar Embedding and Drawing
`#include <vector>`
`#include <list>`
`#include <lemon/dfs.h>`
`#include <lemon/bfs.h>`
`#include <lemon/radix_sort.h>`
`#include <lemon/maps.h>`
`#include <lemon/path.h>`
`#include <lemon/bucket_heap.h>`
`#include <lemon/adaptors.h>`
`#include <lemon/edge_set.h>`
`#include <lemon/color.h>`
`#include <lemon/dim2.h>`

## Classes
class | PlanarEmbedding< Graph >
| Planar embedding of an undirected simple graph. More...
class | PlanarDrawing< Graph >
| Schnyder's planar drawing algorithm. More...
class | PlanarColoring< Graph >
| Coloring planar graphs. More...

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
template<typename GR >
bool | checkPlanarity (const GR &graph)
| Planarity checking of an undirected simple graph. More...